net.minecraft.server.integrated

## Class IntegratedServer

- java.lang.Object
- - net.minecraft.server.MinecraftServer
  - - net.minecraft.server.integrated.IntegratedServer

- All Implemented Interfaces:
    java.lang.Runnable, ICommandSender, IPlayerUsage

      public class IntegratedServer
      extends MinecraftServer

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.server.MinecraftServer

      `currentTask, percentDone, serverProxy, theProfiler, tickTimeArray, worldServers, worldTickTimes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntegratedServer(Minecraft par1Minecraft, java.lang.String par2Str, java.lang.String par3Str, WorldSettings par4WorldSettings)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CrashReport` | `addServerInfoToCrashReport(CrashReport par1CrashReport)`
    `void` | `addServerStatsToSnooper(PlayerUsageSnooper par1PlayerUsageSnooper)`
    `boolean` | `canStructuresSpawn()`
    `protected void` | `finalTick(CrashReport par1CrashReport)`
    `EnumDifficulty` | `func_147135_j()`
    `protected java.io.File` | `getDataDirectory()`
    `WorldSettings.GameType` | `getGameType()`
    `int` | `getOpPermissionLevel()`
    `boolean` | `getPublic()`
    `void` | `initiateShutdown()`
    `boolean` | `isCommandBlockEnabled()`
    `boolean` | `isDedicatedServer()`
    `boolean` | `isHardcore()`
    `boolean` | `isSnooperEnabled()`
    `protected void` | `loadAllWorlds(java.lang.String par1Str, java.lang.String par2Str, long par3, WorldType par5WorldType, java.lang.String par6Str)`
    `void` | `setGameType(WorldSettings.GameType par1EnumGameType)`
    `java.lang.String` | `shareToLAN(WorldSettings.GameType par1EnumGameType, boolean par2)`
    `protected boolean` | `startServer()`
    `void` | `stopServer()`
    `void` | `tick()`

    - ### Methods inherited from class net.minecraft.server.MinecraftServer

      `addChatMessage, addServerTypeToSnooper, allowSpawnMonsters, canCommandSenderUseCommand, canCreateBonusChest, clearCurrentTask, convertMapIfNeeded, deleteWorldAndStopServer, enableProfiling, func_143006_e, func_143007_ar, func_145748_c_, func_147130_as, func_147132_au, func_147134_at, func_147136_ar, func_147137_ag, func_147139_a, func_155759_m, func_82010_a, getActiveAnvilConverter, getAllowNether, getAllUsernames, getBuildLimit, getCanSpawnAnimals, getCanSpawnNPCs, getCommandManager, getCommandSenderName, getConfigurationManager, getCurrentPlayerCount, getEntityWorld, getFile, getFolderName, getForceGamemode, getGuiEnabled, getHostname, getKeyPair, getMaxPlayers, getMinecraftVersion, getMotd, getMOTD, getPlayerCoordinates, getPlayerUsageSnooper, getPlugins, getPort, getPossibleCompletions, getServer, getServerHostname, getServerModName, getServerOwner, getServerPort, getServerProxy, getSpawnProtectionSize, getSystemTimeMillis, getTexturePack, getTickCounter, getUserMessage, getWorldName, handleRConCommand, initialWorldChunkLoad, isBlockProtected, isDebuggingEnabled, isDemo, isFlightAllowed, isPVPEnabled, isServerInOnlineMode, isServerRunning, isServerStopped, isSinglePlayer, logDebug, logInfo, logSevere, logWarning, main, outputPercentRemaining, run, saveAllWorlds, serverIsInRunLoop, setAllowFlight, setAllowPvp, setBuildLimit, setCanSpawnAnimals, setCanSpawnNPCs, setConfigurationManager, setDemo, setFolderName, setForceGamemode, setHostname, setKeyPair, setMOTD, setOnlineMode, setServerOwner, setServerPort, setUserMessage, setWorldName, startServerThread, systemExitNow, updateTimeLightAndEntities, worldServerForDimension`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntegratedServer

          public IntegratedServer(Minecraft par1Minecraft,
                          java.lang.String par2Str,
                          java.lang.String par3Str,
                          WorldSettings par4WorldSettings)

  - ### Method Detail

    - #### loadAllWorlds

          protected void loadAllWorlds(java.lang.String par1Str,
                           java.lang.String par2Str,
                           long par3,
                           WorldType par5WorldType,
                           java.lang.String par6Str)

      Overrides:
        `loadAllWorlds` in class `MinecraftServer`

    - #### startServer

          protected boolean startServer()
                                 throws java.io.IOException

      Specified by:
        `startServer` in class `MinecraftServer`
      Throws:
        `java.io.IOException`

    - #### tick

          public void tick()

      Overrides:
        `tick` in class `MinecraftServer`

    - #### canStructuresSpawn

          public boolean canStructuresSpawn()

      Specified by:
        `canStructuresSpawn` in class `MinecraftServer`

    - #### getGameType

          public WorldSettings.GameType getGameType()

      Specified by:
        `getGameType` in class `MinecraftServer`

    - #### func_147135_j

          public EnumDifficulty func_147135_j()

      Specified by:
        `func_147135_j` in class `MinecraftServer`

    - #### isHardcore

          public boolean isHardcore()

      Specified by:
        `isHardcore` in class `MinecraftServer`

    - #### getDataDirectory

          protected java.io.File getDataDirectory()

      Overrides:
        `getDataDirectory` in class `MinecraftServer`

    - #### isDedicatedServer

          public boolean isDedicatedServer()

      Specified by:
        `isDedicatedServer` in class `MinecraftServer`

    - #### finalTick

          protected void finalTick(CrashReport par1CrashReport)

      Overrides:
        `finalTick` in class `MinecraftServer`

    - #### addServerInfoToCrashReport

          public CrashReport addServerInfoToCrashReport(CrashReport par1CrashReport)

      Overrides:
        `addServerInfoToCrashReport` in class `MinecraftServer`

    - #### addServerStatsToSnooper

          public void addServerStatsToSnooper(PlayerUsageSnooper par1PlayerUsageSnooper)

      Specified by:
        `addServerStatsToSnooper` in interface `IPlayerUsage`
      Overrides:
        `addServerStatsToSnooper` in class `MinecraftServer`

    - #### isSnooperEnabled

          public boolean isSnooperEnabled()

      Specified by:
        `isSnooperEnabled` in interface `IPlayerUsage`
      Overrides:
        `isSnooperEnabled` in class `MinecraftServer`

    - #### shareToLAN

          public java.lang.String shareToLAN(WorldSettings.GameType par1EnumGameType,
                                    boolean par2)

      Specified by:
        `shareToLAN` in class `MinecraftServer`

    - #### stopServer

          public void stopServer()

      Overrides:
        `stopServer` in class `MinecraftServer`

    - #### initiateShutdown

          public void initiateShutdown()

      Overrides:
        `initiateShutdown` in class `MinecraftServer`

    - #### getPublic

          public boolean getPublic()

    - #### setGameType

          public void setGameType(WorldSettings.GameType par1EnumGameType)

      Overrides:
        `setGameType` in class `MinecraftServer`

    - #### isCommandBlockEnabled

          public boolean isCommandBlockEnabled()

      Specified by:
        `isCommandBlockEnabled` in class `MinecraftServer`

    - #### getOpPermissionLevel

          public int getOpPermissionLevel()

      Specified by:
        `getOpPermissionLevel` in class `MinecraftServer`